/*
 * ExactTreePatternAutomaton.cpp
 *
 *  Created on: 7. 4. 2015
 *      Author: Jan Travnicek
 */

#include "ExactTreePatternAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace exact {

auto ExactTreePatternAutomatonPrefixRankedTree = registration::AbstractRegister < ExactTreePatternAutomaton, automaton::InputDrivenNPDA < common::ranked_symbol < DefaultSymbolType, DefaultRankType >, char, unsigned >, const tree::PrefixRankedTree < > &, const common::ranked_symbol < DefaultSymbolType, DefaultRankType > & > ( ExactTreePatternAutomaton::construct );

auto ExactTreePatternAutomatonPrefixRankedBarTree = registration::AbstractRegister < ExactTreePatternAutomaton, automaton::InputDrivenNPDA < common::ranked_symbol < DefaultSymbolType, DefaultRankType >, char, unsigned >, const tree::PrefixRankedBarTree < > &, const common::ranked_symbol < DefaultSymbolType, DefaultRankType > &, const common::ranked_symbol < DefaultSymbolType, DefaultRankType > & > ( ExactTreePatternAutomaton::construct );

} /* namespace exact */

} /* namespace arbology */
