/*
 * BeginToEndIndex.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Jan Travnicek
 */

#include "BeginToEndIndex.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace transform {

auto BeginToEndIndexPrefixRankedBarTreePrefixRankedBarTree = registration::AbstractRegister < BeginToEndIndex, ext::set < unsigned >, const tree::PrefixRankedBarTree < > &, const ext::set < unsigned > & > ( BeginToEndIndex::transform );
auto BeginToEndIndexPrefixRankedBarTreePrefixRankedBarPattern = registration::AbstractRegister < BeginToEndIndex, ext::set < unsigned >, const tree::PrefixRankedTree < > &, const ext::set < unsigned > & > ( BeginToEndIndex::transform );

} /* namespace transform */

} /* namespace arbology */
