/*
 * ToGrammarRightRG.cpp
 *
 *  Created on: 9. 2. 2014
 *      Author: Tomas Pecka
 */

#include "ToGrammarRightRG.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace convert {

auto ToGrammarRightRGNFA = registration::AbstractRegister < ToGrammarRightRG, grammar::RightRG < >, const automaton::NFA < > & > ( ToGrammarRightRG::convert );
auto ToGrammarRightRGDFA = registration::AbstractRegister < ToGrammarRightRG, grammar::RightRG < >, const automaton::DFA < > & > ( ToGrammarRightRG::convert );

} /* namespace convert */

} /* namespace automaton */
