/*
 * MinimizeVerbose.cpp
 *
 *  Created on: Dec 9, 2013
 *	  Author: honza
 */

#include "MinimizeVerbose.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace simplify {

auto MinimizeVerboseNFA = registration::AbstractRegister < MinimizeVerbose, ext::vector < ext::map < std::pair < DefaultStateType, DefaultStateType >, ext::map < DefaultSymbolType, DefaultStateType > > >, const automaton::DFA < > & > ( MinimizeVerbose::minimize );

} /* namespace simplify */

} /* namespace automaton */
