/*
 * AutomatonComplement.cpp
 *
 *  Created on: 13. 08. 2018
 *	  Author: Tomas Pecka
 */

#include "AutomatonComplement.h"
#include <common/createUnique.hpp>
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace transform {

auto AutomatonComplementDFA = registration::AbstractRegister < AutomatonComplement, automaton::DFA < >, const automaton::DFA < > & > ( AutomatonComplement::complement );

} /* namespace transform */

} /* namespace automaton */
