/*
 * Rename.h
 *
 *  Created on: Sep 27, 2016
 *      Author: Tomas Pecka
 */

#include "Rename.h"
#include <registration/AlgoRegistration.hpp>

namespace grammar {

namespace simplify {

auto RenameRightRG = registration::AbstractRegister < Rename, grammar::RightRG < DefaultSymbolType, unsigned >, const grammar::RightRG < > & > ( Rename::rename );
auto RenameLeftRG = registration::AbstractRegister < Rename, grammar::LeftRG < DefaultSymbolType, unsigned >, const grammar::LeftRG < > & > ( Rename::rename );

} /* namespace simplify */

} /* namespace grammar */
