/*
 * ToAutomaton.cpp
 *
 *  Created on: 11. 1. 2014
 *	  Author: Jan Travnicek
 */

#include "ToAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace regexp {

namespace convert {

auto ToAutomatonFormalRegExp = registration::AbstractRegister < ToAutomaton, automaton::NFA < DefaultSymbolType, ext::pair < DefaultSymbolType, unsigned > >, const regexp::FormalRegExp < > & > ( ToAutomaton::convert );
auto ToAutomatonUnboundedRegExp = registration::AbstractRegister < ToAutomaton, automaton::NFA < DefaultSymbolType, ext::pair < DefaultSymbolType, unsigned > >, const regexp::UnboundedRegExp < > & > ( ToAutomaton::convert );

} /* namespace convert */

} /* namespace regexp */
