/*
 * RegExpIntegral.cpp
 *
 *  Created on: 24. 2. 2014
 *	  Author: Tomas Pecka
 */

#include "RegExpIntegral.h"
#include <registration/AlgoRegistration.hpp>

namespace regexp {

auto RegExpIntegralFormalRegExpString = registration::AbstractRegister < RegExpIntegral, regexp::FormalRegExp < >, const regexp::FormalRegExp < > &, const string::LinearString < > & > ( RegExpIntegral::integral );
auto RegExpIntegralUnboundedRegExpString = registration::AbstractRegister < RegExpIntegral, regexp::UnboundedRegExp < >, const regexp::UnboundedRegExp < > &, const string::LinearString < > & > ( RegExpIntegral::integral );

auto RegExpIntegralFormalRegExpSymbol = registration::AbstractRegister < RegExpIntegral, regexp::FormalRegExp < >, const regexp::FormalRegExp < > &, const DefaultSymbolType & > ( RegExpIntegral::integral );
auto RegExpIntegralUnboundedRegExpSymbol = registration::AbstractRegister < RegExpIntegral, regexp::UnboundedRegExp < >, const regexp::UnboundedRegExp < > &, const DefaultSymbolType & > ( RegExpIntegral::integral );

} /* namespace regexp */
