/*
 * NormalizeAlphabet.cpp
 *
 *  Created on: Dec 9, 2013
 *	Author: Jan Travnicek
 */

#include "NormalizeAlphabet.h"
#include <registration/AlgoRegistration.hpp>

namespace string {

namespace simplify {

auto NormalizeAlphabetLinearString = registration::AbstractRegister < NormalizeAlphabet, string::LinearString < >, const string::LinearString < > & > ( NormalizeAlphabet::normalize );

} /* namespace simplify */

} /* namespace string */
