/*
 * LyndonFactoring.cpp
 *
 *  Created on: 30. 8. 2018
 *      Author: Jan Travnicek
 */

#include "LyndonFactoring.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace properties {

auto lyndonFactoringString = registration::AbstractRegister < LyndonFactoring, ext::vector < unsigned >, const string::LinearString < > & > ( LyndonFactoring::factorize );

} /* namespace properties */

} /* namespace stringology */
