/*
 * WideBNDMOccurrences.cpp
 *
 *  Created on: 2. 1. 2017
 *      Author: Jan Travnicek
 */

#include "WideBNDMOccurrences.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace query {

auto wideBNDMOccurrencesLinearString = registration::AbstractRegister < WideBNDMOccurrences, ext::set < unsigned >, const indexes::stringology::BitParallelIndex < DefaultSymbolType > &, const string::LinearString < DefaultSymbolType > & > ( WideBNDMOccurrences::query );

} /* namespace query */

} /* namespace stringology */
