/*
 * NFA.cpp
 *
 *  Created on: Mar 25, 2013
 *      Author: Jan Travnicek
 */

#include "NFA.h"

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/CastRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < automaton::NFA < > > ( );

static auto NFAFromDFA = registration::CastRegister < automaton::NFA < >, automaton::DFA < > > ( );

} /* namespace */
