/*
 * UnrankedTree.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Stepan Plachy
 */

#include "UnrankedTree.h"
#include <tree/Tree.h>
#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/ComponentRegistration.hpp>

namespace {

static auto components = registration::ComponentRegister < tree::UnrankedTree < > > ( );

static auto valuePrinter = registration::ValuePrinterRegister < tree::UnrankedTree < > > ( );

static auto UnrankedTreeFromRankedTree = registration::CastRegister < tree::UnrankedTree < >, tree::RankedTree < > > ( );

} /* namespace */
