#ifndef MODEL_BOX_TEST_H_
#define MODEL_BOX_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class ModelBoxTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE( ModelBoxTest );
	CPPUNIT_TEST( modelBoxBasicProperties );
	CPPUNIT_TEST( modelBoxConnectDisconnectBasic );
	CPPUNIT_TEST( modelBoxConnectDisconnectMultipleFrom );
	CPPUNIT_TEST( modelBoxConnectDisconnectMultipleTo );
	CPPUNIT_TEST( modelBoxConnectDisconnectMultipleExisting );
	CPPUNIT_TEST( modelBoxConnectDisconnectNonexistentSlot );
	CPPUNIT_TEST( modelBoxConnectDisconnectNonexistentConnection );
	CPPUNIT_TEST_SUITE_END();

public:
	void setUp();
	void tearDown();

	void modelBoxBasicProperties ( );
	void modelBoxConnectDisconnectBasic ( );
	void modelBoxConnectDisconnectMultipleFrom ( );
	void modelBoxConnectDisconnectMultipleTo ( );
	void modelBoxConnectDisconnectMultipleExisting ( );
	void modelBoxConnectDisconnectNonexistentSlot ( );
	void modelBoxConnectDisconnectNonexistentConnection ( );
};

#endif	// MODEL_BOX_TEST_H_
