#################
# ALIB Versioning

function(set_version MAJOR MINOR PATCH)
  set(ALIB_VERSION_MAJOR "${MAJOR}" PARENT_SCOPE)
  set(ALIB_VERSION_MINOR "${MINOR}" PARENT_SCOPE)
  set(ALIB_VERSION_PATCH "${PATCH}" PARENT_SCOPE)
  set(ALIB_VERSION ${MAJOR}.${MINOR}.${PATCH} PARENT_SCOPE)
  mark_as_advanced(ALIB_VERSION)
  message("[Versioning] Current version is ${MAJOR}.${MINOR}.${PATCH}")

endfunction(set_version)
