/*
 * AutomataIntersectionCartesianProduct.cpp
 *
 *  Created on: 20. 11. 2014
 *	  Author: Tomas Pecka
 */

#include "AutomataIntersectionCartesianProduct.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace transform {

auto AutomataIntersectionCartesianProductNFA2 = registration::AbstractRegister < AutomataIntersectionCartesianProduct, automaton::NFA < DefaultSymbolType, ext::pair < DefaultStateType, DefaultStateType > >, const automaton::NFA < > &, const automaton::NFA < > & > ( AutomataIntersectionCartesianProduct::intersection );
auto AutomataIntersectionCartesianProductDFA2 = registration::AbstractRegister < AutomataIntersectionCartesianProduct, automaton::DFA < DefaultSymbolType, ext::pair < DefaultStateType, DefaultStateType > >, const automaton::DFA < > &, const automaton::DFA < > & > ( AutomataIntersectionCartesianProduct::intersection );


} /* namespace transform */

} /* namespace automaton */
