/*
 * ToGrammarRightRGDerivation.cpp
 *
 *  Created on: 6. 3. 2014
 *	  Author: Tomas Pecka
 */

#include "ToGrammarRightRGDerivation.h"
#include <registration/AlgoRegistration.hpp>

namespace regexp {

namespace convert {

auto ToGrammarRightRGDerivationUnboundedRegExp = registration::AbstractRegister < ToGrammarRightRGDerivation, grammar::RightRG < DefaultSymbolType, unsigned >, const regexp::UnboundedRegExp < > & > ( ToGrammarRightRGDerivation::convert );
auto ToGrammarRightRGDerivationFormalRegExp = registration::AbstractRegister < ToGrammarRightRGDerivation, grammar::RightRG < DefaultSymbolType, unsigned >, const regexp::FormalRegExp < > & > ( ToGrammarRightRGDerivation::convert );

} /* namespace convert */

} /* namespace regexp */
