/*
 * SuffixArrayNaive.cpp
 *
 *  Created on: 10. 1. 2017
 *      Author: Jan Travnicek
 */

#include "SuffixArrayNaive.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace indexing {

auto suffixArrayNaiveLinearString = registration::AbstractRegister < SuffixArrayNaive, indexes::stringology::SuffixArray < >, const string::LinearString < > & > ( SuffixArrayNaive::construct );

} /* namespace indexing */

} /* namespace stringology */
