/*
 * SuffixTrieFactors.cpp
 *
 *  Created on: 2. 1. 2017
 *      Author: Jan Travnicek
 */

#include "SuffixTrieFactors.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace query {

auto SuffixTrieFactorsLinearString = registration::AbstractRegister < SuffixTrieFactors, ext::set < unsigned >, const indexes::stringology::SuffixTrie < > &, const string::LinearString < > & > ( SuffixTrieFactors::query );

} /* namespace query */

} /* namespace stringology */
