#ifndef PLAY_TEST_H_
#define PLAY_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

#include <automaton/FSM/NFA.h>
#include <automaton/FSM/DFA.h>

class playTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( playTest );
  CPPUNIT_TEST( testPlay1 );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void testPlay1();

private:
    automaton::NFA < char, unsigned >  randomNFA(void) const;
    automaton::DFA < DefaultSymbolType, unsigned > mDFA(const automaton::NFA < > & automaton) const;

    void case1a(void) const;
    void case1b(void) const;
};

#endif  // PLAY_TEST_H_
