// GraphTest.hpp
//
//     Created on: 21. 01. 2018
//         Author: Jan Uhlik
//    Modified by:
//
// Copyright (c) 2017 Czech Technical University in Prague | Faculty of Information Technology. All rights reserved.
// Git repository: https://gitlab.fit.cvut.cz/algorithms-library-toolkit/automata-library

#ifndef ALIB2_GRAPHTEST_HPP
#define ALIB2_GRAPHTEST_HPP

#include <cppunit/TestFixture.h>
#include <cppunit/extensions/HelperMacros.h>

class GraphTest : public CppUnit::TestFixture {
 CPPUNIT_TEST_SUITE(GraphTest);
    CPPUNIT_TEST(testUndirectedGraph);
    CPPUNIT_TEST(testDirectedGraph);
      CPPUNIT_TEST(testMixedGraph);
  CPPUNIT_TEST_SUITE_END();

 public:
  void setUp() override;
  void tearDown() override;

  void testUndirectedGraph();
  void testDirectedGraph();
  void testMixedGraph();
};

#endif //ALIB2_GRAPHTEST_HPP
