#ifndef REGISTRY_TEST_H_
#define REGISTRY_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class RegistryTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE( RegistryTest );
	CPPUNIT_TEST( registryTest );
	CPPUNIT_TEST( algorithmTestBasic );
	CPPUNIT_TEST( algorithmTestInputCount );
	CPPUNIT_TEST( algorithmTestPrettyName );
	CPPUNIT_TEST_SUITE_END();

public:
	void setUp();
	void tearDown();

	void registryTest ( );
	void algorithmTestBasic ( );
	void algorithmTestInputCount ( );
	void algorithmTestPrettyName ( );
};

#endif	// REGISTRY_TEST_H_
