#ifndef ALGORITHM_TEST_H_
#define ALGORITHM_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class AlgorithmTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( AlgorithmTest );
  CPPUNIT_TEST( testExclude );
  CPPUNIT_TEST( testTransform );
  CPPUNIT_TEST( testFindRange );
  CPPUNIT_TEST( testSymmetricDifference );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void testExclude();
  void testTransform();
  void testFindRange();
  void testSymmetricDifference ( );
};

#endif  // ALGORITHM_TEST_H_
